[arch-commits] Commit in texlive-langchinese/repos (3 files)

Rémy Oudompheng remy at archlinux.org
Thu Apr 2 06:51:35 UTC 2020


    Date: Thursday, April 2, 2020 @ 06:51:35
  Author: remy
Revision: 379098

archrelease: copy trunk to testing-any

Added:
  texlive-langchinese/repos/testing-any/
  texlive-langchinese/repos/testing-any/PKGBUILD
    (from rev 379097, texlive-langchinese/trunk/PKGBUILD)
  texlive-langchinese/repos/testing-any/texlive-langchinese.maps
    (from rev 379097, texlive-langchinese/trunk/texlive-langchinese.maps)

--------------------------+
 PKGBUILD                 |   44 ++++++++++++++++++++++++++++++++++++++++++++
 texlive-langchinese.maps |    4 ++++
 2 files changed, 48 insertions(+)

Copied: texlive-langchinese/repos/testing-any/PKGBUILD (from rev 379097, texlive-langchinese/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2020-04-02 06:51:35 UTC (rev 379098)
@@ -0,0 +1,44 @@
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langchinese
+pkgver=2020.54490
+_revnr=${pkgver#2020.}
+pkgrel=1
+pkgdesc="TeX Live - Fonts and macro packages to typeset Chinese texts"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+sha256sums=('46a446769b49575a9164871b3d5eab7fd528c92150895c7722b9f09fb82f3225'
+            'c8cc529153bc1db3b13ef5973a6f36161f89cf05bac695fa2d2eab1a75345195')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf tlpkg
+}
+
+package() {
+   install -m755 -d "$pkgdir"/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS "$pkgdir"/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps "$pkgdir"/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d "$pkgdir"/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 "$pkgdir"/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' "$pkgdir"/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 "$pkgdir"/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' "$pkgdir"/usr/share/'{}' \;
+   fi
+   if [[ -d "$pkgdir"/usr/share/texmf-dist/scripts ]]; then
+     find "$pkgdir"/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+}

Copied: texlive-langchinese/repos/testing-any/texlive-langchinese.maps (from rev 379097, texlive-langchinese/trunk/texlive-langchinese.maps)
===================================================================
--- testing-any/texlive-langchinese.maps	                        (rev 0)
+++ testing-any/texlive-langchinese.maps	2020-04-02 06:51:35 UTC (rev 379098)
@@ -0,0 +1,4 @@
+Map bkaiu.map
+Map bsmiu.map
+Map gbsnu.map
+Map gkaiu.map


More information about the arch-commits mailing list